Index: trunk/contactcenter/js/ccIEContacts.js
===================================================================
--- trunk/contactcenter/js/ccIEContacts.js	(revision 3334)
+++ trunk/contactcenter/js/ccIEContacts.js	(revision 5131)
@@ -47,11 +47,12 @@
 			this.el.style.top = "0px";
 			this.el.style.width = this.wWidth	+ 'px';
-			this.el.style.height = this.wHeight + 'px';
+			this.el.style.height = this.wHeight + 100+'px';
 			if(is_ie) {
-				this.el.style.width = "430";
+				this.el.style.width = "650";
 				this.el.style.overflowY = "auto";	
 				this.el.style.overflowX = "hidden";
 			}													
 			else {									
+				this.el.style.overflowY = "auto";
 				this.el.style.overflow = "-moz-scrollbars-vertical";
 			}
@@ -75,13 +76,14 @@
 			var lang_outl2k_pt = Element('cc_msg_outlook_2k_pt').value;
 			var lang_outl2k_en = Element('cc_msg_outlook_2k_en').value;
+			var lang_outl03 = Element('cc_msg_outlook_2003').value;
 			var lang_expresso_default_csv = Element('cc_msg_expresso_default_csv').value;
 
 		
 			this.el.innerHTML = 
-			'<div align="left" id="divAppbox"><table width="100%" border=0>'+
+			'<div align="left" id="divAppbox" width="90%" ><table width="100%" border=0>'+
 			'<tr><td style="border-bottom:1px solid black"><input onclick="javascript:ccIEContacts.changeOptions(this.value)" id="type" type="radio" name="type" value="i" style="border:0" checked>'+lang_import_contacts+
 			'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input onclick="javascript:ccIEContacts.changeOptions(this.value)" id="type" type="radio" name="type" style="border:0" value="e"/>'+lang_export_contacts+' <br></td></tr>'+
 			'</table>'+
-			'<table border=0 height="208px"  width="100%" id="import_span">'+
+			'<table border=0 height="100%"  width="100%" id="import_span">'+
 			'<tr><td>'+
 			'<font color="DARKBLUE" size="2">'+lang_expresso_info_csv+'</font></td></tr>'+
@@ -91,4 +93,5 @@
 			'<option value="outlook">'+("Outlook Express")+'</option>'+
 			'<option value="outlook2000">'+("Outlook 2000")+'</option>'+
+			'<option value="outlook2003">'+("Outlook 2003")+'</option>'+
 			'<option value="thunderbird">'+("Mozilla Thunderbird")+'</option>'+
 			'<option value="expresso" selected>'+lang_expresso_default+'</option></select><br>'+
@@ -102,5 +105,5 @@
 			'<input type="button" value='+lang_close_win+' onClick="javascript:ccIEContacts.close()"></center></td></tr>'+
 			'<tr><td height="10px" align="center" nowrap><span style="visibility:hidden" id="s_info2"></span></td></tr></table>'+
-			'<table border=0  height="208px"  width="100%" style="display:none" id="export_span">'+
+			'<table border=0  height="100%"  width="100%" style="display:none" id="export_span">'+
 			'<tr><td>'+						
 			'<font color="DARKBLUE" size="2">'+ lang_msg_expresso_info_csv+'</font></td></tr>'+
@@ -112,8 +115,8 @@
 			'<option value="outlook2000_pt-BR">'+lang_outl2k_pt+'</option>'+
 			'<option value="outlook2000_en">'+lang_outl2k_en+'</option>'+
+			'<option value="outlook2003">'+lang_outl03+'</option>'+
 			'<option value="thunderbird">'+lang_moz_tb+'</option>'+
 			'</select>'+			
 			'</td></tr>'+
-			'<tr><td align="center">&nbsp;</td></tr>'+
 			'<tr><td nowrap><center><input id="export_button" type="button" value='+lang_export_contacts+ ' onClick="javascript:ccIEContacts.exportCSV(this)">&nbsp;&nbsp;&nbsp;&nbsp;'+
 			'<input type="button" value='+lang_close_win+ ' onClick="javascript:ccIEContacts.close()"></center></td></tr>'+
@@ -121,4 +124,7 @@
 		}		
 		this.showWindow();
+		if(Element('s_info'))
+			Element('s_info').style.visibility = 'hidden';
+		ccIEContacts.cleanInfo();
 	}
 	
@@ -131,5 +137,5 @@
 				content_id: this.el.id,
 				width: (this.wWidth +(is_ie ? 41 : 0))  +'px',
-				height: this.wHeight +'px',
+				height: this.wHeight +100+'px',
 				title_color: '#3978d6',
 				bg_color: '#eee',
@@ -166,4 +172,5 @@
 		var l_2 	= '<font face="Verdana" size="1" color="RED">['+args[2]+lang_failure+']</font>';
 		var l_3		= '<font face="Verdana" size="1" color="DARKBLUE">['+args[3]+lang_exists+']</font>';
+		if(args[2])
 		var l_4 	= '<br><a font face="Verdana" size="1" href="javascript:ccIEContacts.showFailures(\''+args[4]+'\')">'+lang_show_more_info+'</a>';
 		var l_error	= '<span style="height:15px;background:#cc4444">&nbsp;&nbsp;<font face="Verdana" size="1" color="WHITE">'+lang_import_fail+ '&nbsp;</font></span>';
@@ -172,6 +179,9 @@
 		if(args[0] == 'success') {
 
-			for(i = 1; i < 5; i++) {
+			for(i = 1; i < 4; i++) {
 				status += "&nbsp;"+eval('l_'+i);
+			}
+			if(args[2]){
+				status += "&nbsp;"+eval('l_4');
 			}
 			Element('s_info').innerHTML = '&nbsp;&nbsp;<font face="Verdana" size="1" color="BLACK"><b>'+lang_import_finish+'</b></font><br>&nbsp;'+status;
@@ -200,4 +210,5 @@
 	cIEContacts.prototype.importCSV = function ()
 	{		
+		ccIEContacts.cleanInfo();
 		var lang_msg_invalid_csv = Element('cc_msg_invalid_csv').value;
 		var form = document.formCSV;
@@ -223,5 +234,6 @@
 				args[3] = data._existing ? data._existing : 0;
 				args[4] = data._failure_status
-
+				if(args[1] > 0)
+					ccTree.setCatalog("0.0");
 			}
 			_this.importWriteStatus(args);
